<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.10.1.4.3.4.1.1.2
Name: eMedikation Abgabe
Description: Template Spezieller Implementierungsleitfaden ELGA eMedikation Abgabe
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000">
   <title>eMedikation Abgabe</title>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']"
         id="tmp-r-b616471d-0014-4bd3-8b16-d0e9a0ed8ae0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2']/@nullFlavor)">(eMedikationAbgabe): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'])&lt;=1">(eMedikationAbgabe): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']/@nullFlavor)">(eMedikationAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'])&lt;=1">(eMedikationAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']/@nullFlavor)">(eMedikationAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&lt;=1">(eMedikationAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.2.0.3']/@nullFlavor)">(eMedikationAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&lt;=1">(eMedikationAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(eMedikationAbgabe): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:id)&lt;=1">(eMedikationAbgabe): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(eMedikationAbgabe): Element hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(eMedikationAbgabe): Element hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(eMedikationAbgabe): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:title)&lt;=1">(eMedikationAbgabe): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(eMedikationAbgabe): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(eMedikationAbgabe): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(eMedikationAbgabe): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(eMedikationAbgabe): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(eMedikationAbgabe): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(eMedikationAbgabe): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(eMedikationAbgabe): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:setId)&lt;=1">(eMedikationAbgabe): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(eMedikationAbgabe): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(eMedikationAbgabe): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(eMedikationAbgabe): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(eMedikationAbgabe): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(eMedikationAbgabe): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(eMedikationAbgabe): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:custodian)&lt;=1">(eMedikationAbgabe): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:dataEnterer)=0">(eMedikationAbgabe): Element hl7:dataEnterer DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:informationRecipient)=0">(eMedikationAbgabe): Element hl7:informationRecipient DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:authenticator)=0">(eMedikationAbgabe): Element hl7:authenticator DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(eMedikationAbgabe): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(eMedikationAbgabe): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:participants)=0">(eMedikationAbgabe): Element hl7:participants DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:relatedDocument)=0">(eMedikationAbgabe): Element hl7:relatedDocument DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:inFulfillmentOf)=0">(eMedikationAbgabe): Element hl7:inFulfillmentOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:documentationOf)=0">(eMedikationAbgabe): Element hl7:documentationOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:authorization)=0">(eMedikationAbgabe): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:componentOf)=0">(eMedikationAbgabe): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2']"
         id="tmp-r-2818e84d-8789-493b-9d76-b217f7d6dabd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(eMedikationAbgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@root)='1.2.40.0.10.1.4.3.4.1.1.2'">(eMedikationAbgabe): @root MUSS den Wert '1.2.40.0.10.1.4.3.4.1.1.2' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']"
         id="tmp-r-e014f81d-2765-4e77-b5af-e943fccf92a1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(eMedikationAbgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.1.3'">(eMedikationAbgabe): @root MUSS den Wert '1.3.6.1.4.1.19376.1.9.1.1.3' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']"
         id="tmp-r-cafc8836-071b-44a3-9878-81eadd2a580b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(eMedikationAbgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.1.1'">(eMedikationAbgabe): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.1.1' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.2.40.0.34.11.2.0.3']
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:templateId[@root='1.2.40.0.34.11.2.0.3']"
         id="tmp-r-e5fdeea8-bacf-4f8a-be84-c72bbdc6da20">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(eMedikationAbgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.0.3'">(eMedikationAbgabe): @root MUSS den Wert '1.2.40.0.34.11.2.0.3' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:id
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:id"
         id="tmp-r-fc7df191-6e99-4d15-9f45-45929f5c8051">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@root)='1.2.40.0.10.1.4.3.4.2.1'">(eMedikationAbgabe): Der Wert von @root MUSS '1.2.40.0.10.1.4.3.4.2.1' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@assigningAuthorityName)='Österreichisches e-Medikationsprojekt' or not(@assigningAuthorityName)">(eMedikationAbgabe): Der Wert von @assigningAuthorityName MUSS 'Österreichisches e-Medikationsprojekt' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e827018a-c932-4a6a-a075-6910e09cc66e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(eMedikationAbgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="@nullFlavor or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medication dispensed')">(eMedikationAbgabe): Der Elementinhalt MUSS sein code '60593-1' codeSystem '2.16.840.1.113883.6.1' displayName='Medication dispensed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:title
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:title"
         id="tmp-r-528bad09-a375-4bcd-8a2c-14c3ab98842c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(eMedikationAbgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="text()='Abgabe'">(eMedikationAbgabe): Der Elementinhalt von 'hl7:title' MUSS ''Abgabe'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90008
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (CDeffectiveTime)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90008
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:effectiveTime
Item: (CDeffectiveTime)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:effectiveTime"
         id="tmp-r-1596eba6-5be6-4dac-b935-66b072f79546">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90008-2013-11-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDeffectiveTime): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90009
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (CDconfidentialityCode)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90009
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]
Item: (CDconfidentialityCode)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]"
         id="tmp-r-286a50e1-942e-417f-9855-f86ebdc9222b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90009-2013-11-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDconfidentialityCode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90009-2013-11-07T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.25' and @displayName='normal')">(CDconfidentialityCode): Der Elementinhalt MUSS sein code 'N' codeSystem '2.16.840.1.113883.5.25' displayName='normal'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90010
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (CDlanguageCode)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90010
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:languageCode[@code='de-AT']
Item: (CDlanguageCode)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:languageCode[@code='de-AT']"
         id="tmp-r-56335226-9e80-48ba-86bf-2899844b372a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90010-2013-11-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlanguageCode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90010-2013-11-07T000000.html"
              test="@nullFlavor or (@code='de-AT')">(CDlanguageCode): Der Elementinhalt MUSS sein code 'de-AT'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90007
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (CDsetIdversionNumber)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90007
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:setId
Item: (CDsetIdversionNumber)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:setId"
         id="tmp-r-fd96f975-f480-4d37-b3d8-dde2ccba41d5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90007-2013-11-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDsetIdversionNumber): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.90007
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:versionNumber
Item: (CDsetIdversionNumber)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:versionNumber"
         id="tmp-r-d27f3821-f16b-4983-bcfa-a016e20030bc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90007-2013-11-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDsetIdversionNumber): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5.2.90007-2013-11-07T000000.html"
              test="$digitok or @nullFlavor">(CDsetIdversionNumber): @value ist keine gültige INT Zahl <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget"
         id="tmp-r-7d711276-27c8-4985-ace5-efda33b8c296">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(HeaderRecordTarget): Der Wert von @typeCode MUSS 'RCT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(HeaderRecordTarget): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(HeaderRecordTarget): Element hl7:patientRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:patientRole)&lt;=1">(HeaderRecordTarget): Element hl7:patientRole kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-8a08e039-56f2-4396-9d2e-814296528ea1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(HeaderRecordTarget): Der Wert von @classCode MUSS 'PAT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="string-length(hl7:id[1]/@root)&gt;0">(HeaderRecordTarget):  patientRole id[1] MUSS als lokale Patienten ID vom System vorhanden sein</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="hl7:id[2]/@root = '1.2.40.0.10.1.4.3.1' or hl7:id[2]/@nullFlavor='NI' or hl7:id[2]/@nullFlavor='UNK'">(HeaderRecordTarget):  patientRole id[2] MUSS Sozialversicherungsnummer des Patienten sein (1.2.40.0.10.1.4.3.1) oder @nullFlavor 'NI' oder 'UNK' ist angegeben</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:id)&gt;=2 ">(HeaderRecordTarget): Element hl7:id ist required [min 2x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderRecordTarget): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:patient)&lt;=1">(HeaderRecordTarget): Element hl7:patient kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-r-d0466def-c707-4a6c-aa60-b27a5449d57b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-a875b921-0892-4b5a-9dc3-373111628a39">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="hl7:streetAddressLine or (hl7:streetName and hl7:houseNumber)">(HeaderRecordTarget): Granularitätsstufen Adresse beachten: streetAddressLine oder streetName+houseNumber</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:streetAddressLine)&lt;=1">(HeaderRecordTarget): Element hl7:streetAddressLine kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:streetName)&lt;=1">(HeaderRecordTarget): Element hl7:streetName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(HeaderRecordTarget): Element hl7:houseNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(HeaderRecordTarget): Element hl7:postalCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:postalCode)&lt;=1">(HeaderRecordTarget): Element hl7:postalCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:city)&gt;=1 and not(hl7:city/@nullFlavor)">(HeaderRecordTarget): Element hl7:city ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:city)&lt;=1">(HeaderRecordTarget): Element hl7:city kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:state)&gt;=1 ">(HeaderRecordTarget): Element hl7:state ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:state)&lt;=1">(HeaderRecordTarget): Element hl7:state kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(HeaderRecordTarget): Element hl7:country ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:country)&lt;=1">(HeaderRecordTarget): Element hl7:country kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(HeaderRecordTarget): Element hl7:additionalLocator kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetAddressLine
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:state
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:additionalLocator
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-r-f4029f41-aa2f-42f3-b650-9f2c911deb44">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-3939b539-281d-4d91-9730-3406ce908556">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(HeaderRecordTarget): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(HeaderRecordTarget): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderRecordTarget): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderRecordTarget): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK' or @nullFlavor])&gt;=1 ">(HeaderRecordTarget): Element hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK' or @nullFlavor])&lt;=1">(HeaderRecordTarget): Element hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(HeaderRecordTarget): Element hl7:birthTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:birthTime)&lt;=1">(HeaderRecordTarget): Element hl7:birthTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(HeaderRecordTarget): Element hl7:maritalStatusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:religiousAffiliationCode)&lt;=1">(HeaderRecordTarget): Element hl7:religiousAffiliationCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:raceCode)=0">(HeaderRecordTarget): Element hl7:raceCode DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:ethnicGroupCode)=0">(HeaderRecordTarget): Element hl7:ethnicGroupCode DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:birthPlace)&lt;=1">(HeaderRecordTarget): Element hl7:birthPlace kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-a345ffb0-867e-464a-a455-50ded414fbfe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(HeaderRecordTarget): Element hl7:given ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(HeaderRecordTarget): Element hl7:family ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:suffix
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK' or @nullFlavor]
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK' or @nullFlavor]"
         id="tmp-r-d971da42-7c24-4bae-8d4c-59e9d1453740">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HeaderRecordTarget): Der Elementinhalt MUSS sein ELGA_AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(HeaderRecordTarget): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-caededc1-b923-4b49-a23f-4af2ff1d9faf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode"
         id="tmp-r-18b4f4e0-57de-496b-bfbf-bd48dab0fe62">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.11-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HeaderRecordTarget): Der Elementinhalt MUSS sein ELGA_MaritalStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-1.2.40.0.34.10.11-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(HeaderRecordTarget): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_MaritalStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:religiousAffiliationCode
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:religiousAffiliationCode"
         id="tmp-r-36159952-b7c7-4fad-9f24-5e4e22b5ab8b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.18-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HeaderRecordTarget): Der Elementinhalt MUSS sein ELGA_ReligiousAffiliation (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-1.2.40.0.34.10.18-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(HeaderRecordTarget): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_ReligiousAffiliation (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:raceCode
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:ethnicGroupCode
Item: (HeaderRecordTarget)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian"
         id="tmp-r-5ecf6741-52bb-4696-af08-c1b9dfe2b042">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderRecordTarget): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:guardianPerson|hl7:guardianOrganization)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="$elmcount&gt;=1">(HeaderRecordTarget): Auswahl (hl7:guardianPerson oder hl7:guardianOrganization) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="$elmcount&lt;=1">(HeaderRecordTarget): Auswahl (hl7:guardianPerson oder hl7:guardianOrganization) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:guardianPerson)&lt;=1">(HeaderRecordTarget): Element hl7:guardianPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:guardianOrganization)&lt;=1">(HeaderRecordTarget): Element hl7:guardianOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:addr
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:addr"
         id="tmp-r-94456f54-c330-481d-9d13-11ff457e43c4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom"
         id="tmp-r-7a9fb7cd-ae05-4bf2-bff4-2bd9e7df528a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson"
         id="tmp-r-8438c41d-ea21-4785-b455-6ce755ee8e8f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderRecordTarget): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderRecordTarget): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name"
         id="tmp-r-7248a367-73b3-4613-a69e-eaedc3e690e8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization"
         id="tmp-r-bf0d475d-43de-47c3-b07b-b290c6375a79">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderRecordTarget): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderRecordTarget): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:name
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:name"
         id="tmp-r-f43eefd1-f3ec-4b56-baaf-a1dde1b9374b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace"
         id="tmp-r-91fb5438-90bd-445f-a49d-525b36ec958e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:place)&gt;=1 and not(hl7:place/@nullFlavor)">(HeaderRecordTarget): Element hl7:place ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:place)&lt;=1">(HeaderRecordTarget): Element hl7:place kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place"
         id="tmp-r-106ea55c-0927-496e-bdae-01d308bdbe66">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(HeaderRecordTarget): Element hl7:addr ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderRecordTarget): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr
Item: (HeaderRecordTarget)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr"
         id="tmp-r-e393e6fe-45e8-444b-8441-659880a4ea81">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (HeaderAuthor)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author"
         id="tmp-r-49475661-2fbe-4b63-bf55-e248d21c9406">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(HeaderAuthor): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(HeaderAuthor): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:functionCode)&lt;=1">(HeaderAuthor): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 ">(HeaderAuthor): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(HeaderAuthor): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(HeaderAuthor): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(HeaderAuthor): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:functionCode
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:functionCode"
         id="tmp-r-fce31eee-e83a-4c42-b37e-32ad94c90f9b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:time
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:time"
         id="tmp-r-4b913841-2ae0-4fce-8e53-6d5d33e455bd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor"
         id="tmp-r-851cafef-d42a-49d3-b6b6-85b711029e10">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(HeaderAuthor): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(HeaderAuthor): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="$elmcount&gt;=1">(HeaderAuthor): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="$elmcount&lt;=1">(HeaderAuthor): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(HeaderAuthor): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(HeaderAuthor): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(HeaderAuthor): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(HeaderAuthor): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-38983dfb-4687-4a11-a352-218690c03273">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:code
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-r-4f73dd34-4e71-40a3-9682-71899fca03b3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HeaderAuthor): Der Elementinhalt MUSS sein ELGA_AuthorSpeciality (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(HeaderAuthor): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_AuthorSpeciality (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-5ca9aa57-2291-4801-8ad4-5426930693f6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-a0c79704-bbc3-4b79-a749-637a0055d1e9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(HeaderAuthor): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderAuthor): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderAuthor): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-94efb895-351b-49a5-aba7-a132fc892a93">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="tmp-r-d67946e1-c4bf-487d-8556-379cb708edca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@classCode)='DEV' or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(HeaderAuthor): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:manufacturerModelName)&gt;=1 ">(HeaderAuthor): Element hl7:manufacturerModelName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(HeaderAuthor): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:softwareName)&gt;=1 ">(HeaderAuthor): Element hl7:softwareName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:softwareName)&lt;=1">(HeaderAuthor): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="tmp-r-d3ee8c80-625a-4349-8606-cd909cd9b71c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="tmp-r-92d8b4ef-c1af-4e45-ab8c-c60dba2cc948">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (HeaderAuthor)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-9a992121-dce2-4ca2-b9f0-8913c6c3849e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(HeaderAuthor): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderAuthor): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderAuthor): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderAuthor): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-ca17be1f-54aa-43fd-b6e7-8d59e520fa57">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-bafe5036-49f3-4169-9cd6-22697130dffc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-c5d60581-632f-414d-b985-bb8951226174">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-766fa3e5-c08c-471d-8f65-63da7efe1b59">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (HeaderCustodian)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian
Item: (HeaderCustodian)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian"
         id="tmp-r-6a5a94ec-c7fe-4970-bec0-5fa9a98ac520">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="string(@typeCode)='CST' or not(@typeCode)">(HeaderCustodian): Der Wert von @typeCode MUSS 'CST' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(HeaderCustodian): Element hl7:assignedCustodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(HeaderCustodian): Element hl7:assignedCustodian kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian
Item: (HeaderCustodian)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-a1045c27-2028-4bf3-952f-555438c1183e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(HeaderCustodian): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">(HeaderCustodian): Element hl7:representedCustodianOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(HeaderCustodian): Element hl7:representedCustodianOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (HeaderCustodian)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-fb43fd44-3d4e-4f78-9261-fc49014575a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(HeaderCustodian): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(HeaderCustodian): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:id)&gt;=1 ">(HeaderCustodian): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:id)&lt;=1">(HeaderCustodian): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderCustodian): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderCustodian): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(HeaderCustodian): Element hl7:addr ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderCustodian): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (HeaderCustodian)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-8068e1f2-b993-47ac-9a69-25ad2e282418">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (HeaderCustodian)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (HeaderCustodian)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-aba6349b-4cd0-4840-808a-2f7ee66412c4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20004
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (HeaderCustodian)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-4dc1cd9d-99ba-4cbb-bba7-70f145969520">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:dataEnterer
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:informationRecipient
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:authenticator
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20006
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (HeaderLegalAuthenticator)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20006
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']
Item: (HeaderLegalAuthenticator)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.20006
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator
Item: (HeaderLegalAuthenticator)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator"
         id="tmp-r-ae9d9829-99f5-473f-bd86-57e646ed26c2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="string(@typeCode)='LA' or not(@typeCode)">(HeaderLegalAuthenticator): Der Wert von @typeCode MUSS 'LA' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:time)&gt;=1 ">(HeaderLegalAuthenticator): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:time)&lt;=1">(HeaderLegalAuthenticator): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(HeaderLegalAuthenticator): Element hl7:signatureCode[@code='S'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(HeaderLegalAuthenticator): Element hl7:signatureCode[@code='S'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(HeaderLegalAuthenticator): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(HeaderLegalAuthenticator): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20006
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:time
Item: (HeaderLegalAuthenticator)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:time"
         id="tmp-r-07c46743-e9a1-451d-89bb-ba4a937ce67d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderLegalAuthenticator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20006
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:signatureCode[@code='S']
Item: (HeaderLegalAuthenticator)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-524bd2a4-6f1f-4949-88f6-c40e1da10f2b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderLegalAuthenticator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="@nullFlavor or (@code='S')">(HeaderLegalAuthenticator): Der Elementinhalt MUSS sein code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.20006
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity
Item: (HeaderLegalAuthenticator)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity"
         id="tmp-r-136a1e6c-439f-45e1-b373-599c31fc1062">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:id)&gt;=1 ">(HeaderLegalAuthenticator): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderLegalAuthenticator): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(HeaderLegalAuthenticator): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(HeaderLegalAuthenticator): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(HeaderLegalAuthenticator): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id
Item: (AssignedEntityElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-f11a986f-732b-4a8d-970e-0a8beeecd0b0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr
Item: (AssignedEntityElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-217deae5-08c2-41a6-9791-2d06b31d9870">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom
Item: (AssignedEntityElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-a7dca379-15d9-46c1-9fa3-0ab96fefc4ff">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (AssignedEntityElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-da4c21f1-de60-4aa0-a984-a36e464088cd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-bcef8295-6579-4875-9c52-39760fd64163">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (AssignedEntityElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-8981620f-ac28-48ce-b3d0-24000d6e672b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-r-f7be4dc4-6f77-4e2f-9f19-3c8c8c517bec">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-cf18991a-b635-4e6a-95bf-482e0f4b3ece">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-232a1805-d0ab-4df7-b5a8-2af2961dcb68">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-2bef12b8-650c-4c06-8441-99117fd79cd8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:participants
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:relatedDocument
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:inFulfillmentOf
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:documentationOf
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:authorization
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:componentOf
Item: (eMedikationAbgabe)
-->

<!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:component
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:component"
         id="tmp-r-1561eb33-6fe8-4623-83ce-0e57b1c30a4e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(eMedikationAbgabe): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(eMedikationAbgabe): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:component/hl7:structuredBody
Item: (eMedikationAbgabe)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:component/hl7:structuredBody"
         id="tmp-r-d860640b-3aa8-4bea-b3cd-372cf608f20b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(eMedikationAbgabe): Der Wert von @classCode MUSS 'DOCBODY' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(eMedikationAbgabe): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]])&gt;=1 ">(eMedikationAbgabe): Element hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]])&lt;=1">(eMedikationAbgabe): Element hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.1.2
Context: *[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]
Item: (eMedikationAbgabe)
-->
<rule context="*[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.1.2']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]"
         id="tmp-r-289d595a-f5e7-4a9a-9109-26836caea0ba">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(eMedikationAbgabe): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(eMedikationAbgabe): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
