<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.11
Name: Entlassungszustand
Description: Informationen zu Belastbarkeit und Arbeitsunfähigkeit.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.2.2.11-2011-12-19T000000">
   <title>Entlassungszustand</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]
Item: (Entlassungszustand)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]
Item: (Entlassungszustand)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]"
         id="tmp-r-e6393166-5b4a-4fe5-a3df-378c94e0ed43">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.11'])&gt;=1 ">(Entlassungszustand): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.11'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.11'])&lt;=1">(Entlassungszustand): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.11'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'])&gt;=1 ">(Entlassungszustand): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'])&lt;=1">(Entlassungszustand): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'])&gt;=1 ">(Entlassungszustand): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'])&lt;=1">(Entlassungszustand): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:code[(@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Entlassungszustand): Element hl7:code[(@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:code[(@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Entlassungszustand): Element hl7:code[(@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(Entlassungszustand): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Entlassungszustand): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(Entlassungszustand): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Entlassungszustand): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:templateId[@root='1.2.40.0.34.11.2.2.11']
Item: (Entlassungszustand)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:templateId[@root='1.2.40.0.34.11.2.2.11']"
         id="tmp-r-231a39c6-807e-435c-bb64-f1c60cd5f07c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassungszustand): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.2.11'">(Entlassungszustand): @root MUSS den Wert '1.2.40.0.34.11.2.2.11' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17']
Item: (Entlassungszustand)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17']"
         id="tmp-r-f90d45ce-e886-4c3a-92e2-b9bafc8fae2f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassungszustand): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.17'">(Entlassungszustand): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.17' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.5']
Item: (Entlassungszustand)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.5']"
         id="tmp-r-8ec24ffe-b47d-4d7c-bef6-aed5521d647a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassungszustand): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.1.5'">(Entlassungszustand): @root MUSS den Wert '2.16.840.1.113883.10.20.1.5' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:code[(@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Entlassungszustand)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:code[(@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-866f57ee-5733-4406-bff7-f6f759ccde3c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassungszustand): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="@nullFlavor or (@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Functional status assessment')">(Entlassungszustand): Der Elementinhalt MUSS sein code '47420-5' codeSystem '2.16.840.1.113883.6.1' displayName='Functional status assessment'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:title
Item: (Entlassungszustand)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:title"
         id="tmp-r-71e3036a-449f-495c-8a5f-95fa2a9198a2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassungszustand): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="text()='Entlassungszustand'">(Entlassungszustand): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungszustand'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:text
Item: (Entlassungszustand)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.11' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.17' or @root='2.16.840.1.113883.10.20.1.5']]/hl7:text"
         id="tmp-r-614aa809-6839-4ff3-ab13-1a2a60fcfc62">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.2.2.11-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassungszustand): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
