<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.4
Name: Befundgruppen (Laboratory Battery Organizer)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000">
   <title>Befundgruppen (Laboratory Battery Organizer)</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]
Item: (LaboratoryBatteryOrganizer)
-->

<!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]
Item: (LaboratoryBatteryOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]"
         id="tmp-r-1c6215fb-ac2d-4e9a-8408-308d155f9d03">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="string(@classCode)='BATTERY'">(LaboratoryBatteryOrganizer): Der Wert von @classCode MUSS 'BATTERY' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="string(@moodCode)='EVN'">(LaboratoryBatteryOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'])&gt;=1 ">(LaboratoryBatteryOrganizer): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'])&lt;=1">(LaboratoryBatteryOrganizer): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')])&gt;=1 and not(hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]/@nullFlavor)">(LaboratoryBatteryOrganizer): Element hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')])&lt;=1">(LaboratoryBatteryOrganizer): Element hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(LaboratoryBatteryOrganizer): Element hl7:statusCode[@code='completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(LaboratoryBatteryOrganizer): Element hl7:statusCode[@code='completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(LaboratoryBatteryOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:templateId
Item: (LaboratoryBatteryOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:templateId"
         id="tmp-r-32faa4a3-f4bb-4d80-8f0e-520c4d37afad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryBatteryOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.4'">(LaboratoryBatteryOrganizer): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.4' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]
Item: (LaboratoryBatteryOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]"
         id="tmp-r-5b81cd16-d8d9-4fd8-8f04-1d9749e2b591">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryBatteryOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.47-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(LaboratoryBatteryOrganizer): Der Elementinhalt MUSS sein ELGA_Laborstruktur (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-1.2.40.0.34.10.47-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(LaboratoryBatteryOrganizer): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_Laborstruktur (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:statusCode[@code='completed']
Item: (LaboratoryBatteryOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:statusCode[@code='completed']"
         id="tmp-r-911f16c2-d20f-4ae9-97f8-d612fe964f7c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryBatteryOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="@nullFlavor or (@code='completed')">(LaboratoryBatteryOrganizer): Der Elementinhalt MUSS sein code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime
Item: (LaboratoryBatteryOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime"
         id="tmp-r-8e5a6eae-4700-47e8-ba4a-3783b16153a8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryBatteryOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(LaboratoryBatteryOrganizer): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:low)&lt;=1">(LaboratoryBatteryOrganizer): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(LaboratoryBatteryOrganizer): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="count(hl7:high)&lt;=1">(LaboratoryBatteryOrganizer): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime/hl7:low
Item: (LaboratoryBatteryOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-403331fb-273c-4927-89bb-659b71d4e3be">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryBatteryOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime/hl7:high
Item: (LaboratoryBatteryOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-71801f91-2e20-4c86-a543-4e961f5ba3da">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryBatteryOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]
Item: (LaboratoryBatteryOrganizer)
-->
<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]"
         id="tmp-r-b785b543-ed73-47d8-86fc-f6c8d40867de">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="string(@typeCode)='COMP'">(LaboratoryBatteryOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]
Item: (LaboratoryBatteryOrganizer)
-->
<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]"
         id="tmp-r-27479dad-78c3-427f-a4bb-fbe63b0d0502">
      <extends rule="tmp-r-3e333add-1076-496a-93cc-5d04ee451218"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="string(@typeCode)='COMP'">(LaboratoryBatteryOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30030
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]
Item: (MultimediaContent)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30030
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]
Item: (MultimediaContent)
-->
<rule id="tmp-r-3e333add-1076-496a-93cc-5d04ee451218" abstract="true">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="count(hl7:observationMedia)&gt;=1 ">(MultimediaContent): Element hl7:observationMedia ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="count(hl7:observationMedia)&lt;=1">(MultimediaContent): Element hl7:observationMedia kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30030
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]/hl7:observationMedia
Item: (MultimediaContent)
-->
<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]/hl7:observationMedia"
         id="tmp-r-c7b75eec-e2a8-4994-aacc-44ab8057e31c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="string(@classCode)='OBS'">(MultimediaContent): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="string(@moodCode)='EVN'">(MultimediaContent): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MultimediaContent): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="count(hl7:value)&lt;=1">(MultimediaContent): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30030
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]/hl7:observationMedia/hl7:id
Item: (MultimediaContent)
-->
<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]/hl7:observationMedia/hl7:id"
         id="tmp-r-6e0fd6b1-3bdc-4415-bb76-1e74b51ec27c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MultimediaContent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30030
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]/hl7:observationMedia/hl7:value
Item: (MultimediaContent)
-->
<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observationMedia]/hl7:observationMedia/hl7:value"
         id="tmp-r-5fef4f59-d027-4e55-916d-03e6f9a292d9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MultimediaContent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="not(@mediaType) or (string-length(@mediaType)&gt;0 and not(matches(@mediaType,'\s')))">(MultimediaContent): Attribute @mediaType MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@mediaType),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.42-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="not(@mediaType) or count($theAttValue) = count($theAttCheck)">(MultimediaContent): Der Wert von mediaType MUSS gewählt werden aus dem Value Set ELGA_Medientyp (DYNAMIC).</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30030-2012-01-07T000000.html"
              test="string(@representation)='B64'">(MultimediaContent): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.4
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (LaboratoryBatteryOrganizer)
-->
<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]"
         id="tmp-r-acc25dbb-5268-412d-8e0c-0a8763d1ab3b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.3.1.4-2013-09-09T000000.html"
              test="string(@typeCode)='COMP'">(LaboratoryBatteryOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>
</pattern>
